Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_hash_open

## Name

librdf_hash_open -- Start a hash association

## Synopsis

``int `librdf_hash_open`` (librdf_hash* `hash`, char * `identifier`, int `mode`, int `is_writable`, int `is_new`, librdf_hash* `options`);`

## Arguments

`hash`

  hash object

`identifier`

  indentifier for the hash factory - usually a URI or file name

`mode`

  hash access mode

`is_writable`

  is hash writable?

`is_new`

  is hash new?

`options`

  a hash of options for the hash factory or NULL if there are none.

## Description

This method opens and/or creates a new hash with any resources it needs.

## Return value

non 0 on failure

<<< Previous | Home | Next >>>
librdf_free_hash | Up | librdf_hash_close